/* Editor */
export { default as Wax } from './src/Wax';

export { default as WaxView } from './src/WaxView';

/* Service Class */
export { default as Service } from './src/Service';

/* Context & ComponentPlugin */
export { WaxContext, useInjection } from './src/WaxContext';
export { PortalContext } from './src/PortalContext';
export { default as ComponentPlugin } from './src/ComponentPlugin';

/* UTILITIES */
export { default as SchemaHelpers } from './src/utilities/schema/SchemaHelpers';
export { default as DocumentHelpers } from './src/utilities/document/DocumentHelpers';
export { default as Commands } from './src/utilities/commands/Commands';
export { default as DefaultSchema } from './src/utilities/schema/DefaultSchema';
export { default as EditoriaSchema } from './src/utilities/schema/EditoriaSchema';
export { default as Middleware } from './src/utilities/lib/Middleware';
export { default as ToolGroup } from './src/utilities/lib/ToolGroup';
export { default as Tools } from './src/utilities/lib/Tools';

/* Base Services */
export { default as LayoutService } from './src/config/defaultServices/LayoutService/LayoutService';
export { default as PortalService } from './src/config/defaultServices/PortalService/PortalService';
export { default as MenuService } from './src/config/defaultServices/MenuService/MenuService';
export { default as OverlayService } from './src/config/defaultServices/OverlayService/OverlayService';
export { default as RulesService } from './src/config/defaultServices/RulesService/RulesService';
export { default as SchemaService } from './src/config/defaultServices/SchemaService/SchemaService';
export { default as ShortCutsService } from './src/config/defaultServices/ShortCutsService/ShortCutsService';

export { default as QuestionsNodeView } from './src/utilities/lib/helpers/QuestionsNodeView';
export { default as trackedTransaction } from './src/utilities/track-changes/trackedTransaction';

/* Components TODO Remove from Core */

export { default as LeftMenuTitle } from './src/components/LeftMenuTitle';
export { default as LeftSideButton } from './src/components/LeftSideButton';
export { default as ReactDropDownStyles } from './src/components/helpers/ReactDropDownStyles';
export { default as DateParser } from './src/components/helpers/DateParser';
export { default as useDebounce } from './src/components/helpers/useDebounce';
export { default as useOnClickOutside } from './src/components/helpers/useOnClickOutside';
export { default as ToolGroupComponent } from './src/components/ToolGroupComponent';
export { default as ToolGroups } from './src/components/ToolGroups';
export { default as BlockLevelTools } from './src/components/tabs/BlockLevelTools';
export { default as Tabs } from './src/components/tabs/Tabs';
export { default as MenuButton } from './src/components/ui/MenuButton';
export { default as icons } from './src/components/icons/icons';
export { default as Icon } from './src/components/icons/Icon';
export { default as Button } from './src/components/Button';

/* Plugins */

export { default as FakeCursorPlugin } from './src/config/plugins/FakeCursorPlugin';

// export * from 'prosemirror-state';
// export * from 'prosemirror-view';
// export * from 'prosemirror-model';
// export * from 'prosemirror-transform';
